SystemOrganization addCategory: #TADP1!

TestCase subclass: #Testeo
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP1'!

!Testeo methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 21:32'!
testeo
	|unaCompu unDisco|
	unaCompu := Computadora new.
	unDisco := Magnetico new: 1000.
	unaCompu agregarComponente: unDisco. 
	
	self assert: unaCompu consumoTotal = 6.! !

Object subclass: #Componente
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP1'!

!Componente methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 16:25'!
consumo
	self subclassResponsibility ! !

Componente subclass: #DiscoRigido
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP1'!

!DiscoRigido methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 16:30'!
consumo 
	self subclassResponsibility ! !

DiscoRigido subclass: #Magnetico
	instanceVariableNames: 'rpm'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP1'!

!Magnetico class methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 20:24'!
new: revoluciones
	|instancia|
	instancia := super new.
	instancia rpm: revoluciones.
	^instancia.! !

!Magnetico methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 16:33'!
consumo
	^self rpm * 60 / 10000! !

!Magnetico methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 18:04'!
rpm
	^ rpm! !

!Magnetico methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 18:04'!
rpm: anObject
	rpm := anObject! !

DiscoRigido subclass: #Solido
	instanceVariableNames: 'consumoEspecifico'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP1'!

!Solido class methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 20:24'!
new: unConsumo 
	|instancia|
	instancia := super new.
	instancia consumoEspecifico: unConsumo.
	^instancia.! !

!Solido methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 17:26'!
consumo 
	^self consumoEspecifico! !

!Solido methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 18:05'!
consumoEspecifico
	^ consumoEspecifico! !

!Solido methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 18:05'!
consumoEspecifico: anObject
	consumoEspecifico := anObject! !

Componente subclass: #PlacaDeVideo
	instanceVariableNames: 'cantidadDeCoolers'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP1'!

PlacaDeVideo subclass: #Comunes
	instanceVariableNames: 'consumoPromedio'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP1'!

!Comunes class methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 20:22'!
new: unConsumo y: cantCoolers 
	|instancia|
	instancia := super new: cantCoolers.
	instancia consumoPromedio: unConsumo.
	^instancia.! !

!Comunes methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 17:28'!
consumoPromedio
	^ consumoPromedio! !

!Comunes methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 17:28'!
consumoPromedio: anObject
	consumoPromedio := anObject! !

!Comunes methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 16:44'!
consumoPropio 
	^self consumoPromedio! !

PlacaDeVideo subclass: #Gpu
	instanceVariableNames: 'anchoMax largoMax pantalla'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP1'!

!Gpu class methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 20:21'!
new:  unAnchoMax y: unLargoMax y: unaPantalla y: cantCoolers
	|instancia|
	instancia := super new: cantCoolers.
	instancia anchoMax:  unAnchoMax.
	instancia largoMax: unLargoMax.
	instancia pantalla: unaPantalla.
	^instancia.	! !

!Gpu methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 17:28'!
anchoMax
	^ anchoMax! !

!Gpu methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 17:28'!
anchoMax: anObject
	anchoMax := anObject! !

!Gpu methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 16:48'!
consumoPropio 
	^(self resolucion) * (1/100000)! !

!Gpu methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 17:29'!
largoMax
	^ largoMax! !

!Gpu methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 17:29'!
largoMax: anObject
	largoMax := anObject! !

!Gpu methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 17:29'!
pantalla
	^ pantalla! !

!Gpu methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 17:29'!
pantalla: anObject
	pantalla := anObject! !

!Gpu methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 16:53'!
resolucion 
	^self resolucionMaxima min: self pantalla resolucion! !

!Gpu methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 16:47'!
resolucionMaxima
	^self anchoMax * self largoMax! !

!PlacaDeVideo class methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 20:23'!
new: cantCoolers
	|instancia|
	instancia := super new.
	instancia cantidadDeCoolers: cantCoolers.
	^instancia.! !

!PlacaDeVideo methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 17:27'!
cantidadDeCoolers
	^ cantidadDeCoolers! !

!PlacaDeVideo methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 17:27'!
cantidadDeCoolers: anObject
	cantidadDeCoolers := anObject! !

!PlacaDeVideo methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 16:42'!
consumo
	^self consumoPropio + self consumoCoolers! !

!PlacaDeVideo methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 16:43'!
consumoCoolers 
	^cantidadDeCoolers * 0,5! !

Object subclass: #Computadora
	instanceVariableNames: 'componentes'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP1'!

!Computadora class methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 20:23'!
new
	 |unaInstancia|
	unaInstancia := super new.
	unaInstancia componentes: Bag new.
	^unaInstancia.! !

!Computadora methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 17:30'!
agregarComponente: unComponente 
	componentes add: unComponente! !

!Computadora methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 20:27'!
componentes
	^ componentes! !

!Computadora methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 20:27'!
componentes: anObject
	componentes := anObject! !

!Computadora methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 17:23'!
consumoTotal
	^componentes sum:[:unComponente | unComponente consumo]! !

Object subclass: #Pantalla
	instanceVariableNames: 'resolucion'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP1'!

!Pantalla class methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 20:24'!
new: unaResolucion
	|instancia|
	instancia := super new.
	instancia resolucion: unaResolucion.
	^instancia.! !

!Pantalla methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 17:29'!
resolucion
	^ resolucion! !

!Pantalla methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 17:29'!
resolucion: anObject
	resolucion := anObject! !
